All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
start.hpp File Reference

Extracts the underlying OpenCL start index handle from a vector, a matrix, an expression etc. More...

`#include <string>`
`#include <fstream>`
`#include <sstream>`
`#include "viennacl/forwards.h"`
`#include "viennacl/meta/result_of.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::traits
| Namespace providing traits-information as well as generic wrappers to common routines for vectors and matrices such as size() or clear()

## Functions

template<typename T >
result_of::size_type< T >::type | viennacl::traits::start (T const &obj)
template<typename ScalarType , unsigned int AlignmentV>
result_of::size_type < viennacl::vector< ScalarType, AlignmentV > >::type | viennacl::traits::start (viennacl::vector< ScalarType, AlignmentV > const &)
template<typename T >
result_of::size_type< T >::type | viennacl::traits::start1 (T const &obj)
template<typename ScalarType , typename F , unsigned int AlignmentV>
result_of::size_type < viennacl::matrix< ScalarType, F, AlignmentV > >::type | viennacl::traits::start1 (viennacl::matrix< ScalarType, F, AlignmentV > const &)
template<typename T >
result_of::size_type< T >::type | viennacl::traits::start2 (T const &obj)
template<typename ScalarType , typename F , unsigned int AlignmentV>
result_of::size_type < viennacl::matrix< ScalarType, F, AlignmentV > >::type | viennacl::traits::start2 (viennacl::matrix< ScalarType, F, AlignmentV > const &)

## Detailed Description

Extracts the underlying OpenCL start index handle from a vector, a matrix, an expression etc.

Definition in file start.hpp.